%bcond_with full_install
%define name2 spe-0.8.4.h

Summary: A python IDE with auto indentation & completion
Name:    spe
Version: 0.8.4.h
Release: 3%{?dist}
License: GPLv2
Group:   Development/Libraries
Url:     http://pythonide.stani.be
Source0: http://download.berlios.de/python/%{name2}-wx2.6.1.0.tar.gz
Source1: setup.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: python-devel >= 2.3
Requires: python >= 2.3
Requires: wxPython >= 2.6.1
Requires: python-crypto >= 2.0
Requires: gnome-terminal

%description
SPE is a python IDE with auto indentation & completion,
call tips, syntax coloring & highlighting, UML viewer, class explorer,
source index, todo list, pycrust shell, file browsers, and drag & drop.
It is shipped with wxGlade (gui designer), PyChecker (source code doctor) 
and Kiki (regular expression console). 
SPE supports Blender, by means of a blender 3d object browser, and 
can be run interactively from (inside) blender. 

%prep
%setup -q -a1 -n %{name2}

%build
%if %{with full_install}
  CFLAGS="%{optflags}" 
  export CFLAGS
  python setup.py build 
%endif

%install
rm -rf %{buildroot}

%if %{with full_install}
  python setup.py install -O1 --root=%{buildroot}
%else
  mkdir -p %{buildroot}%{python_sitelib}
  cp -a _spe %{buildroot}%{python_sitelib}/
%endif

mkdir -p %{buildroot}%{_bindir}
cat << EOF > %{buildroot}%{_bindir}/%{name}.sh
#!/bin/sh

export COLORTERM=gnome-terminal
cd %{python_sitelib}/_spe
%{_bindir}/python SPE.py
EOF

mkdir -p %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=SPE
Comment=Python IDE
Exec=%{name}.sh
Icon=%{python_sitelib}/_spe/images/spe.png
Terminal=false
Type=Application
Encoding=UTF-8
Categories=Application;Development;X-Fedora;
EOF

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc NEWS COPYING 
%if %{with full_install}
  %{_bindir}/%{name}
%endif
%attr(0755,root,root) %{_bindir}/%{name}.sh
%{python_sitelib}/_spe/*
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat Mar 15 2009 Paulo Roma <roma@lcg.ufrj.br> 0.8.4.h-3
- Update to 0.8.4.h

* Sat Mar 22 2008 Paulo Roma <roma@lcg.ufrj.br> 0.8.4.d-3
- Update to 0.8.4.d
- Created spe.sh 

* Sun Aug 07 2007 Paulo Roma <roma@lcg.ufrj.br> 0.8.4.b-2
- Gave up of bdist-rpm.
- Fixed version and added missing about.htm and home.py
  in setup.py

* Thu Jul 07 2007 Paulo Roma <roma@lcg.ufrj.br> 0.8.4.b-1
- Updated to 0.8.4.b from svn.

* Thu Jul 06 2007 Paulo Roma <roma@lcg.ufrj.br> 0.8.3.d-1
- Inital spec file.

